Class | Tk::TkTable::NamedCellTag
In: | tk/lib/tkextlib/tktable/tktable.rb
Parent: | Tk::TkTable::CellTag

### Methods

new new

### Public Class methods

new(parent, name, keys=nil)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 191
      def self.new(parent, name, keys=nil)
        if CellTagID_TBL[parent.path] && CellTagID_TBL[parent.path][name]
          cell = CellTagID_TBL[parent.path][name]
          cell.configure(keys) if keys
          return cell
        else
          super(parent, name, keys)
        end
      end

new(parent, name, keys=nil)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 201
      def initialize(parent, name, keys=nil)
        @parent = @t = parent
        @tpath - parent.path
        @path = @id = name
        CellTagID_TBL[@tpath] = {} unless CellTagID_TBL[@tpath]
        CellTagID_TBL[@tpath][@id] = self
        configure(keys) if keys
      end

[Validate]